import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';

import { EmployeeService } from './service/employee.service';
import { IEmployee } from './interface/employee';

@Component({
   selector: 'app-observable',
   templateUrl: './observable.component.html'
})
export class ObservableComponent implements OnInit { 

    observableEmployee: any = "";

    constructor(private employeeService: EmployeeService) { }
    ngOnInit(): void {
        this.observableEmployee = this.employeeService.getEmployeeWithObservable();
        this.observableEmployee.subscribe((a:any) => console.log(a));
   }
} 