import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable, Subscriber } from 'rxjs';
import {IEmployee} from '../interface/employee';

@Injectable({
	providedIn: 'root'
})

export class EmployeeService {
    url = "api/employees";
    constructor(private http: HttpClient) { }
    getEmployeeWithObservable(): Observable<IEmployee[]> {
		return this.http.get<IEmployee[]>(this.url);
	}
}